package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ESignTemplateFileEntryFieldFactory
{
    private ESignTemplateFileEntryFieldFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntryField getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntryField)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("F2377A0F") ,com.kingdee.eas.custom.esign.IESignTemplateFileEntryField.class);
    }
    
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntryField getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntryField)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("F2377A0F") ,com.kingdee.eas.custom.esign.IESignTemplateFileEntryField.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntryField getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntryField)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("F2377A0F"));
    }
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntryField getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntryField)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("F2377A0F"));
    }
}